Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.solver
Class CacheProcessor.SolverSetup

    java.lang.Object
      calhoun.analysis.crf.solver.CacheProcessor.SolverSetup

Enclosing interface:
  CacheProcessor

    public static class CacheProcessor.SolverSetup

extends java.lang.Object

Field Summary
`byte[][]` | `exitTransitions`
`int` | `longestSeq`
`short` | `maxLookback`
`short[]` | `maxStateLengths`
`int` | `nFeatures`
`int` | `nPotentials`
`int` | `nSeqs`
`int` | `nStates`
`int` | `nTransitions`
`short[]` | `orderedPotentials`
`int[]` | `selfTransitions`
`int[]` | `seqOffsets`
`CacheProcessor.StatePotentials[]` | `statesWithLookback`
`CacheProcessor.StatePotentials[]` | `statesWithoutLookback`
`int` | `totalPositions`
`short[]` | `transitionFrom`
`DenseIntMatrix2D` | `transitionIndex`
`short[]` | `transitionTo`

Constructor Summary
`CacheProcessor.SolverSetup()`

Method Summary
`void` | `initStatesWithLookback(short[] maxStateLengths)` Creates an array of StatePotential objects given the maximum lookback for each state.
`void` | `setup(ModelManager fm, java.util.List<? extends TrainingSequence<?>> data, boolean allPaths, short[] maxStateLengths2, boolean ignoreSemiMarkovSelfTransitions)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nFeatures

    public int nFeatures

### nStates

    public int nStates

### nPotentials

    public int nPotentials

### nTransitions

    public int nTransitions

### seqOffsets

    public int[] seqOffsets

### nSeqs

    public int nSeqs

### longestSeq

    public int longestSeq

### transitionFrom

    public short[] transitionFrom

### transitionTo

    public short[] transitionTo

### orderedPotentials

    public short[] orderedPotentials

### totalPositions

    public int totalPositions

### selfTransitions

    public int[] selfTransitions

### transitionIndex

    public DenseIntMatrix2D transitionIndex

### exitTransitions

    public byte[][] exitTransitions

### maxStateLengths

    public short[] maxStateLengths

### maxLookback

    public short maxLookback

### statesWithLookback

    public CacheProcessor.StatePotentials[] statesWithLookback

### statesWithoutLookback

    public CacheProcessor.StatePotentials[] statesWithoutLookback

Constructor Detail

### CacheProcessor.SolverSetup

    public CacheProcessor.SolverSetup()

Method Detail

### setup

    public void setup(ModelManager fm,
                      java.util.List<? extends TrainingSequence<?>> data,
                      boolean allPaths,
                      short[] maxStateLengths2,
                      boolean ignoreSemiMarkovSelfTransitions)

### initStatesWithLookback

    public void initStatesWithLookback(short[] maxStateLengths)

  Creates an array of StatePotential objects given the maximum lookback for each state.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD